<?php
// Exit if accessed directly.
defined( 'ABSPATH' ) || exit;

// Define Constants.
define( 'AMPD_VERSION', '2.0.4' );
define( 'AMPD_DIR', plugin_dir_path( __FILE__ ) );
define( 'AMPD_URL', plugin_dir_url( __FILE__ ) );
define( 'AMPD_FILE', __FILE__ );

// navigation config.
self::$config['nav'] = array(
	'45' => array(
		'slug'     => 'ampd-import-photos',
		'callback' => 'AMPD_import_photos_page',
		'title'    => 'Adult Mass Photos Downloader',
		'icon'     => 'fa-picture-o',
	),
);

// js config.
self::$config['scripts']['js'] = array(
	// pages.
	'AMPD_import-photos.js' => array(
		'in_pages'  => array( 'ampd-import-photos' ),
		'path'      => 'admin/pages/page-import-photos.js',
		'require'   => array(),
		'version'   => AMPD_VERSION,
		'in_footer' => false,
		'localize'  => array(
			'ajax'       => true,
			'objectL10n' => array(),
		),
	),
);
// css config.
self::$config['scripts']['css'] = array(
	// assets.
	'AMPD_admin.css' => array(
		'in_pages' => array( 'ampd-import-photos' ),
		'path'     => 'admin/assets/css/admin.css',
		'require'  => array(),
		'version'  => '1.0.0',
		'media'    => 'all',
	),
);
